> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Region

> A `POST` to the `/regions` endpoint allows your application to create region.



## OpenAPI

````yaml post /v3/regions
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/regions:
    post:
      tags:
        - Region
      summary: Add Region
      description: >-
        A `POST` to the `/regions` endpoint allows your application to create
        region.
      operationId: regions.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreRegion'
      responses:
        '200':
          description: '`Region`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Region'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreRegion:
      type: object
      properties:
        name:
          type: string
        handle:
          type: string
        is_default:
          type:
            - boolean
            - 'null'
        currency:
          type:
            - string
            - 'null'
        countries:
          type: array
          items:
            type: object
            properties:
              iso_2:
                type: string
              iso_3:
                type: string
              iso_numeric:
                type: string
          minItems: 1
      required:
        - name
        - handle
      title: StoreRegion
    Region:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        countries:
          type: array
          items:
            $ref: '#/components/schemas/Country'
        is_default:
          type:
            - boolean
            - 'null'
        currency:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - handle
        - countries
        - is_default
        - currency
        - created_at
        - updated_at
      title: Region
    Country:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        iso_2:
          type: string
        iso_3:
          type: string
        iso_numeric:
          type: string
        sort_order:
          type:
            - integer
            - 'null'
        states:
          type: array
          items:
            $ref: '#/components/schemas/State'
        currency:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
            handle:
              type: string
            is_default:
              type: string
          required:
            - id
            - name
            - handle
            - is_default
      required:
        - id
        - name
        - iso_2
        - iso_3
        - iso_numeric
        - sort_order
        - states
        - currency
        - created_at
        - updated_at
        - region
      title: Country
    State:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        type:
          type: string
        iso:
          type: string
        iso_2_country:
          type: string
        iso_2_country_state_code:
          type: string
        sort_order:
          type:
            - integer
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - name
        - type
        - iso
        - iso_2_country
        - iso_2_country_state_code
        - sort_order
        - created_at
        - updated_at
      title: State
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````